## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# AVTPart Class Reference

Class to hold a part, either a string or XPath, of an Attribute Value Template. More...

`#include <AVTPart.hpp>`

Inheritance diagram for AVTPart:

[legend]
List of all members.

## Public Methods

- AVTPart ()
- virtual ~AVTPart ()
- virtual void evaluate (XalanDOMString &buf, XalanNode *contextNode, const PrefixResolver &prefixResolver, XPathExecutionContext &executionContext) const=0
    Append the value to the buffer. More...
- virtual void evaluate (XalanDOMString &buf, const PrefixResolver &prefixResolver, XPathExecutionContext &executionContext) const=0
    Append the value to the buffer. More...

## Detailed Description

Class to hold a part, either a string or XPath, of an Attribute Value Template.

## Constructor & Destructor Documentation

AVTPart::AVTPart ( | )

AVTPart::~AVTPart ( | )`[virtual]`

## Member Function Documentation

void AVTPart::evaluate ( | XalanDOMString & buf,
| const PrefixResolver & prefixResolver,
| XPathExecutionContext & executionContext ) const`[pure virtual]`

  | Append the value to the buffer. Parameters:
  buf | buffer to write into
  prefixResolver | prefix resolver to use
  executionContext | execution context
Reimplemented in AVTPartSimple, and AVTPartXPath.

void AVTPart::evaluate ( | XalanDOMString & buf,
| XalanNode * contextNode,
| const PrefixResolver & prefixResolver,
| XPathExecutionContext & executionContext ) const`[pure virtual]`

  | Append the value to the buffer. Parameters:
  buf | buffer to write into
  contextNode | current context node
  prefixResolver | prefix resolver to use
  executionContext | execution context
Reimplemented in AVTPartSimple, and AVTPartXPath.

The documentation for this class was generated from the following file:

- AVTPart.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.